Page MenuHomePhabricator

Make Special:RecentChanges auto-updating
Closed, DuplicatePublic

Description

Author: paucab

Description:
My request is to add an sneak like this one to MediaWiki "Recent Changes" page: http://meneame.net/sneak.php. It's like Digg spy: http://digg.com/spy.

Menéame is free software and I think that if someone knows a little bit of ajax and php (not my case) it would be easy to implement it for MediaWiki. Source code of meneame is available at http://meneame.net/archives/meneame-src.tgz.

I'm an "addict" to the "Recent Changes" page and I think that it would be a great idea that this page was an "autorefresh" page, without having to click on the "refresh" browser button every minute.

Pau.


Version: unspecified
Severity: enhancement

Details

Reference
bz5560

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:11 PM
bzimport set Reference to bz5560.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 13 2006, 9:45 AM

But what about Recentchanges on projects like Commons or en:wp where there are new entries by the second?
Wouldn't it be really difficult to do RC patrol and to go to pages of interest when the link you want to
click is scrolling down the page by about four or five entries per second?

felipe.sanches wrote:

using DHTML whe can make it scroll smoothly :-)

Changed component to "RecentChanges"

I've been a tool doing this in javascript:
http://meta.wikimedia.org/wiki/User:Krinkle/Tools/Real-Time_Recent_Changes

Has been rewritten in April 2010 to work with any wiki, instead of just Commons (which includes all WMF wikis and presumably other wikis aswell).

The tool also features hiding already patrolled uploads, filtering edits / newpages / both, filter by username, order (chronologic or reversed) and refresh interval and much more.

Can be used by including a single line of javascript in the users' vector.js/monobook.js or as a Gadget or as a Sitewide script in Common.js.

paucab wrote:

Good work, Krinkle!

It seems that after four years we found a tool ad hoc.

I'm going to give it a try ...

Pau.

paucab wrote:

Another useful tool: http://wikistream.inkdroid.org

john wrote:

-need-review keyword, no patch is attached.

WikiHow also has a nice extension for rc patrolling:
http://i.imgur.com/VHhkv.png

They have it outside of RecentChanges though

brion added a comment.Nov 8 2011, 7:26 PM
  • Bug 32253 has been marked as a duplicate of this bug. ***
  • Bug 28710 has been marked as a duplicate of this bug. ***

This can be done inside MediaWiki core by polling the API. We'd probably want a way for Wikimedia to disable this feature and instead subscribe to stream.wikimedia.org via socket.io.

Qgil added a subscriber: Qgil.

This task was mentioned in https://www.mediawiki.org/w/index.php?title=Outreach_programs/Possible_projects&oldid=1404823#Very_raw_projects as a possible candidate for Google Summer of Code or similar programs. Do you think it is a good candidate?

Qgil added a comment.Feb 11 2015, 1:44 PM

Wikimedia will apply to Google Summer of Code and Outreachy on Tuesday, February 17. If you want this task to become a featured project idea, please follow these instructions.

Qgil added a comment.Feb 16 2015, 11:42 PM

Do you think this task has the volume of work and complexity suitable for GSoC / Outreachy?

Bawolff added a subscriber: Bawolff.Mar 4 2015, 4:36 PM
In T7560#1042599, @Qgil wrote:

Do you think this task has the volume of work and complexity suitable for GSoC / Outreachy?

Personally this seems a little small for a GSOC project.

Krinkle added a comment.EditedMar 4 2015, 4:44 PM

Note that are a plethora of gadgets that do this already. I don't think a small amount of attention will result in something people will actually be using.

To name a few: RTRC, LiveRC, etc. As well as Huggle, STiki, SWMT, CVNBot irc channels, Twinkle, ..

I think it'd be more worthwhile to focus effort on developing a MediaWiki extension that finally embraces needs for recent changes monitoring. Something that has sufficient filtering ability, option to use RCStream backend instead of API polling, and the ability to monitor mulitple wikis (e.g. user's regular wikis, language/project, or countervandalism wikisets such as "small wikis" and "global sysop wikis").

These are all features that already exist in the aforementioned tools and are essential to making this useful.

The Countervandalism Network currently maintains or represents many of these tools. I think it's in everyone's interest to join forces on this and integrate more with the native rc_patrol flag (at least in the backend) to reduce duplicated efforts. And in general to bring the experience back to a web application (somewhat integrated with the wiki, as extension or over OAuth). This opposed to native platform installs or IRC clients detached from the web browsing experience. It can have its own layout of course.

I'd be very interested in working with a one or more people to make this happen. If anything, once I get the time, I'll do this myself. For the front-end I imagine RTRC may serve as starting point.

I think it'd be more worthwhile to focus effort on developing a MediaWiki extension that finally embraces needs for recent changes monitoring. Something that has sufficient filtering ability, option to use RCStream backend instead of API polling, and the ability to monitor mulitple wikis (e.g. user's regular wikis, language/project, or countervandalism wikisets such as "small wikis" and "global sysop wikis").
These are all features that already exist in the aforementioned tools and are essential to making this useful.
The Countervandalism Network currently maintains or represents many of these tools. I think it's in everyone's interest to join forces on this and integrate more with the native rc_patrol flag (at least in the backend) to reduce duplicated efforts. And in general to bring the experience back to a web application (somewhat integrated with the wiki, as extension or over OAuth). This opposed to native platform installs or IRC clients detached from the web browsing experience. It can have its own layout of course.
I'd be very interested in working with a one or more people to make this happen. If anything, once I get the time, I'll do this myself. For the front-end I imagine RTRC may serve as starting point.

I agree, that that sort of thing would be a much better focus for a gsoc project. There's so much one can do, and if done well could really make a difference.

mgrabovsky added a subscriber: mgrabovsky.
Koavf added a comment.Mar 7 2015, 7:39 AM

As an aside, I submitted a similar bug that was duplicated into this one. I want to point out that WikiIndex has an AJAXed out Special:RecentChanges which auto-updates: http://wikiindex.org/Special:RecentChanges

Qgil added a comment.Mar 7 2015, 1:28 PM

Personally this seems a little small for a GSOC project.

Note that are a plethora of gadgets that do this already. I don't think a small amount of attention will result in something people will actually be using.

Ok, I will remove the tag. Should we keep this task still open?

I think it'd be more worthwhile to focus effort on developing a MediaWiki extension that finally embraces needs for recent changes monitoring.

Sound like this is being addressed at T91655: Editor-focused dashboard.

Qgil set Security to None.
He7d3r updated the task description. (Show Details)Apr 2 2015, 7:42 PM
He7d3r added a project: JavaScript.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 9 2017, 10:48 PM
Qgil removed a subscriber: Qgil.Feb 15 2017, 3:10 PM
Zppix added a subscriber: Zppix.Apr 6 2017, 9:04 PM

@Krinkle created this script on meta, https://meta.wikimedia.org/wiki/User:Krinkle/Tools/Real-Time_Recent_Changes maybe make this into an extentsion or apart of core would be an option?